<?php
/* affichage de la version d'un article */
defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Language\Text;
use Joomla\Component\Content\Site\Model\ArticleModel;

if (!isset($displayData['item']->version)) { // affichage blog : pas de version
    $model   = new ArticleModel(array('ignore_request' => true));
    $app       = Factory::getApplication();
    $appParams = $app->getParams();
    $model->setState('params', $appParams);
    $item = $model->getItem($displayData['item']->id);
    $version = $item->version;
}  else { // affichage article : on a la version 
    $version = $displayData['item']->version;
}
$str = 'version '.$version;
$str .= ' révisée le '.HTMLHelper::date($displayData['item']->modified,Text::_('DATE_FORMAT_FILTER_DATETIME'));

?>
<dd class="version">
    <?php echo $str; ?>
</dd>
